The AltiVec optimizations of libswscale are no longer under GPL.
authorDiego Biurrun <diego@biurrun.de>
Thu, 25 Jun 2009 11:27:36 +0000 (11:27 +0000)
committerDiego Biurrun <diego@biurrun.de>
Thu, 25 Jun 2009 11:27:36 +0000 (11:27 +0000)
Originally committed as revision 29389 to svn://svn.mplayerhq.hu/mplayer/trunk/libswscale

libswscale/swscale.c

index 33f47795effcb24f537adc91e645f4fc326fee8f..29fef32ffbe08290a67fcd00a2d3b58cb66d5a90 100644 (file)
@@ -1306,7 +1306,7 @@ static inline void monoblack2Y(uint8_t *dst, const uint8_t *src, long width, uin
 #endif
 
 #if ARCH_PPC
-#if (HAVE_ALTIVEC || CONFIG_RUNTIME_CPUDETECT) && CONFIG_GPL
+#if HAVE_ALTIVEC || CONFIG_RUNTIME_CPUDETECT
 #define COMPILE_ALTIVEC
 #endif
 #endif //ARCH_PPC